### Method

# Panel SessionItem set_module_name

#### Declaration [src]

    void
    panel_session_item_set_module_name (
      PanelSessionItem* self,
      const char* module_name
    )

#### Description [src]

Sets the module-name for the session item.

This is generally used to help determine which plugin created the item when decoding them at project load time.

Sets property | `Panel.SessionItem:module-name`

#### Parameters

`module_name`

  Type: `const char*`

  The module name owning the item.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.